Sub AbsFactor4 (E0,Ec,hi,fa)

     'Subroutine for calculatation of absorption factor
     'Heinrich-Yakowitz (1972)

     'Input parameters:    E0    :    Incident beam energy (keV)
     '                     Ec    :    Critical excitation energy (keV)
     '                     hi    :    hi=Mac*csc(take-off angle)
     'Output parameter:    fa    :    Absorption factor

     dif=E0^1.65-Ec^1.65
     fp=1+3*1e-6*dif*hi+4.5*1e-13*dif^2*hi^2
     fp=1/fp

End Sub