Sub BeamBroad1 (E0,AtNum,AtWht,rho,Thickness,BB,Resolution)

     'Beam broadening,Goldstein (1977) and spatial resolution (Goldstein
     '1977, Reed 1982, Michael 1990).
     'Input parameter:     E0          :  Energy of electron beam in keV
     '                     AtNum       :  Atomic number
     '                     AtWht       :  Atomic weight
     '                     rho         :  Density in g/cm^3
     '                     Thickness   :  Foil thickness in nm
     '                     BeamDia     :  Beam diameter in nm
     'Output parameters:   BB          :  Beam broadening in nm
     '                     Resolution  :  Spatial resolution in nm

     'Beam broadening
     t=t*1e-7
     BB=625*(AtNum/E0)*(rho/AtWht)^0.5*thickness^(3/2)
     BB=BB*1.0E+7
     'Spatial resolution
     Resolution=(BeamDia+(BeamDia^2+BB^2)^0.5)^2

End Sub

