Sub BackFactor2 (Z,E0,Ec,R)

     'Backscattering factor (R-Factor), Yakowitz (1973)

     'Input parameters: Z      :   Atomic number
     '                  E0     :   Incident beam energy in keV
     '                  Ec     :   Critical excitation energy in keV
     'Output parameter: R      :   Backscattering factor

      U=E0/Ec
      A=0.00873*U^3-0.1669*U^2+0.9662*U+0.4523
      B=0.002703*U^3-0.05182*U^2+0.302*U-0.1836
      D=0.887-(3.44/U)+(9.33/U^2)-(6.43/U^3)
      R=A-B*log(D*Z+25)

End Sub