Sub BackScatCoef17 (Z,E0,eta)

'Backscattering coefficient,Love and Scott (1978)
'Input parameters:  Z    = atomic number
'                   E0   = energy of electron beam in keV
'Output parameter:  eta  = backscattering coefficient

    H1=(-52.3791+150.48371*Z-1.67373*Z^2+0.00716*Z^3)/10000
    H2=(-1112.8+30.289*Z-0.15498*Z^2)/10000
    eta=H1*(1+H2*log(E0/20))

End Sub