Sub Energy3 (Z,L1,L2,L3,E1,E2,E3,E4,E5,E6,E7,E8,E9)

     'Subroutine:Read lines and absorption edges energies from file
     'Input parameter:      Z    :   atomic number
     'Output parameters:    L1   :   K alpha line energy in keV
     '                      L2   :   L alpha line energy in keV
     '                      L3   :   M alpha line energy in keV
     '                      E1   :   K edge energy in keV
     '                      E2   :   L1 edge energy in keV
     '                      E3   :   L2 edge energy in keV
     '                      E4   :   L3 edge energy in keV
     '                      E5   :   M1 edge energy in keV
     '                      E6   :   M2 edge energy in keV
     '                      E7   :   M3 edge energy in keV
     '                      E8   :   M4 edge energy in keV
     '                      E9   :   M5 edge energy in keV

     dim G(3,95),O(9,95),Z(95)
     open"ENERGY3.RND" for random as #1 len=52
     field #1,4 AS Z$,4 AS L1$,4 AS L2$,4 AS L3$,4 AS E1$,4 AS E2$,_
	      4 AS E3$,4 AS E4$,4 AS E5$,4 AS E6$,4 AS E7$,4 AS E8$,_
	      4 AS E9$
     get #1,Z
     G(1,I)=cvs(L1$):G(2,I)=cvs(L2$):G(3,I)=cvs(L3$)  'Line energies
     O(1,I)=cvs(E1$):O(2,I)=cvs(E2$):O(3,I)=cvs(E3$)  'Edge energies
     O(4,I)=cvs(E4$):O(5,I)=cvs(E5$):O(6,I)=cvs(E6$)  'Edge energies
     O(7,I)=cvs(E7$):O(8,I)=cvs(E8$):O(9,I)=cvs(E9$)  'Edge energies
     L1=G(1,I):L2=G(2,I):L3=G(3,I):E1=O(1,I):E2=O(2,I)
     E3=O(3,I):E4=O(4,I):E5=O(5,I):E6=O(6,I):E7=O(7,I)
     E8=O(8,I):E9=O(9,I)
     close #1

End Sub
