Sub FluorYield8 (AtNum,Lines,Omega)

     'Calculation of X-ray fluorescence yields, experimental values
     'are used when fit does not yield good results relative to
     'experimental data, from NEDQNT program (Zaluzec).

     'Input parameters:    Z        :   Atomic number
     '                     Lines    :   Line code (1 for K, 2 for L
     '                                  and 3 for M lines)
     'Output parameter:    Omega    :   Fluorescence yield

     Z=AtNum
     If Lines=1 then
	  A=0.015+0.0327*Z-0.64E-06*Z^3
	  A=A^4
	  wk=A/(1+A)
	  if Z=3 then wk=1.06E-4     'Xray value
	  if Z=4 then wk=3.04E-4     'Xray value
	  if Z=5 then wk=6.4E-4	     'Average value from Xray
	  if Z=6 then wk=0.00269     'exp. data. Freund X-ray Spect. vol.4
	  if Z=7 then wk=0.00473     '1975 page 90-91
	  if Z=8 then wk=0.00645     'or Bambynek Etal.Rev. Mod. Phys.
	  if Z=9 then wk=0.0067	     'vol.44.,No.4, 1972 716-813 av. Xray
	  if Z=10 then wk=1.55E-2
	  if Z=11 then wk=wk
	  if Z=12 then wk=0.02475    'Average X-ray
	  if Z=13 then wk=0.0380
	  if Z=14 then wk=0.043
	  if Z=15 then wk=0.058	     'Average X-ray
	  if Z=16 then wk=0.0795
	  if Z=17 then wk=0.1
	  if Z=18 then wk=0.1225
	  if Z=22 then wk=0.209
	  if Z=23 then wk=0.256
	  if Z=24 then wk=0.273
	  if Z=25 then wk=0.319
	  if Z=26 then wk=0.350
	  if Z=27 then wk=0.391
	  if Z=28 then wk=0.432
	  if Z=29 then wk=0.472
	  if Z=30 then wk=0.499
	  if Z=32 then wk=0.583
	  if Z=47 then wk=0.834
     end if
     if Lines=2 then
	  D=-0.037948+Z*(0.034256-Z*Z*0.116342E-05)
	  D=D^4
	  wk=D/(1+D)
     end if
     if Lines=3 then
	 D=-0.00036+Z*(0.00386+Z*Z*0.20101E-06)
	 D=D^4
	 wk=D/(1+D)
     end if
     Omega=wk

End Sub
