Sub ICS13 (E0,Ec,Z,L,Q)

'Subroutine:Ionization cross-section for K,L and M lines,Schreiber and Wims (1974)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K,L and M lines in keV
'                    Z     :     atomic number
'                    L     :     line code (1 for K,2 for L and 3 for M)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	zn=2
	if Z<=30 then
	    b=8.874-8.158*log(Z)+2.9055*(log(Z))^2-0.35778*(log(Z))^3
	else
	    b=0.661
	end if
	c=1
	d=1.0667-0.00476*Z
     elseif L=2 then
	zn=8
	b=0.2704+0.007256*(log(Z))^3
	c=1
	d=1
     else
	zn=18
	b=11.335-2.428*log(Z)
	c=1
	d=1
     end if
     Q=6.51*1e-20*(zn*b/U^d)*log(c*U)
     Q=Q/Ec^2

End Sub
