Sub ICS14 (E0,Ec,Z,L,Q)

'Ionization cross-section for K,L and M lines,Hoeft and Schwaab (1986)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K,L and M lines in keV
'                    Z     :     atomic number
'                    L     :     line code (1 for K,2 for L and 3 for M)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	zn=2
	b=32.682/(1+4.4824*(log(Z))^1/4)
	c=0.80
	d=1
     elseif L=2 then
	zn=8
	b=0.771
	c=0.95
	d=1
     else
	zn=18
	b=0.75
	c=0.60
	d=1
     end if
     Q=6.51*1e-20*(zn*b/U^d)*log(c*U)
     Q=Q/Ec^2

End Sub
