Sub ICS15 (E0,Ec,L,Q)

'Ionization cross-section for K,L and M lines,Bethe (1930),Janossy (1980)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'                    L     :     line code (1 for K,2 for L,3 for M)
'Output parameters:  Q     :     ionization cross section in cm^2

     E0=E0*1000     'in eV
     Ec=Ec*1000     'in eV
     U=E0/Ec
     if E0>=30000 then  'relativistic correction
	E0=(1+9.875*1e-7*E0)*E0
     else
	E0=E0
     end if
     if L=1 then
       z=2
       b=0.35
       c=4/(1.65+2.35*exp(1-U))
     elseif L=2 then
       z=8
       b=0.25
       c=4/(1.65+2.35*exp(1-U))
     else
       z=18
       b=0.25
       c=4/(1.65+2.35*exp(1-U))
     end if
     Q=(6.51*1e-14*z*b/(Ec^2*U))*log(c*U)

End Sub
