Sub ICS18 (E0,Ec,Z,Q)

'Ionization cross-section for K lines,Jakoby (1987)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'                    Z     :     atomic number
'Output parameters:  Q     :     ionization cross section in cm^2

     a=5.14*Z^(-0.48)
     b=5.76-0.04*Z
     c=0.72+0.039*Z-0.0006*Z^2
     mc=510.976
     b1=1-(1+E0/mc)^(-2)
     b0=1-(1+Ec/mc)^(-2)
     F1=2.549*1e-19/(Ec*b1)
     F2=log(b1/(1-b1))-b1
     F3=1-(b0/b1)
     F4=log(1/b0)
     F5=b0/b1
     Q=a*F1*(F2+b*F3+F4*F5^c)
     q=q/1000

End Sub
