Sub ICS24 (E0,Ec,Q)

     'Subroutine:Total ionization cross section for K lines,Gryzinski (1959)
     'Input parameters:     E0     :      incident beam enrgy in keV
     '                      Ec     :      critical excitation energy in keV
     'Output parameters:    Q      :      total ionization cross section in cm^2

     E0=E0*1000
     Ec=Ec*1000
     U0=E0/Ec
     Sigma=6.56e-14
     znk=2
     a=Ec^2*U0
     b=(U0-1)^(3/2)
     c=(1-(2/3)*(1-1/(2*U0))*log(2.7+(U0-1)^0.5))
     Q=Sigma/(a*b*c)

End Sub