Sub ICS5 (E0,Ec,L,Q)

'Subroutine:Ionization cross-section,Bethe (1930) with Mott and Massey (1949)
'parameters for K, L and M lines
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K,L and M lines in keV
'                    L     :     line code (1 for K, 2 to L and 3 for M)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	z=2
	b=0.35
	c=2.42
	d=1
     elseif L=2 then
	z=8
	b=0.25
	c=2.42
	d=1
     else
	z=18
	b=0.25
	c=2.42
	d=1
     end if
     Q=6.51*1e-20*(z*b/U^d)*log(c*U)
     Q=Q/Ec^2

End Sub
