Sub Mac4 (Z,E,M)

     'Subroutine:Mac's calculations,Thinh and Leroux (1979)
     'Input parameters:    Z     :    atomic number of absorber
     '                     E     :    energy of emission line in keV
     'Output parameters:   M     :    mass absorption coefficient

     'read data from random file for given Z
     x=1+25*(Z-1)
     open"mac4.rnd" for random as #1 len=4
     field #1,4 as c$
     dim c(2350),c$(2350)
     get #1,x:Z=cvs(c$):get #1,x+1:C=cvs(c$):get #1,x+2:K=cvs(c$)
     get #1,x+3:n=cvs(c$):get #1,x+4:E1=cvs(c$):get #1,x+5:CE1=cvs(c$)
     get #1,x+6:nE1=cvs(c$):get #1,x+7:L1=cvs(c$):get #1,x+8:nL1=cvs(c$)
     get #1,x+9:L2=cvs(c$):get #1,x+10:nL2=cvs(c$):get #1,x+11:L3=cvs(c$)
     get #1,x+12:nL3=cvs(c$):get #1,x+13:M1=cvs(c$):get #1,x+14:nM1=cvs(c$)
     get #1,x+15:M2=cvs(c$):get #1,x+16:nM2=cvs(c$):get #1,x+17:M3=cvs(c$)
     get #1,x+18:nM3=cvs(c$):get #1,x+19:M4=cvs(c$):get #1,x+20:nM4=cvs(c$)
     get #1,x+21:M5=cvs(c$):get #1,x+22:nM5=cvs(c$):get #1,x+23:N1=cvs(c$)
     get #1,x+24:nN1=cvs(c$)
     close #1

     'Special equations
     if Z=1 then
	 if E>=1.0 and E<=2.0 then
		 D=0.01460:n=3.00344
		 M=D*(12.3981/E)^n
	 elseif E>=2.0 and E<=3.50 then
		 D=0.05890:n=2.23900
		 M=D*(12.3981/E)^n
	 elseif E>=3.50 and E<=4.0 then
		 D=0.07434:n=2.05500
		 M=D*(12.3981/E)^n
	 elseif E>=4.0 and E<=6.0 then
		 D=0.27795:n=0.88900
		 M=D*(12.3981/E)^n
	 elseif E>=6.0 and E<=9.20 then
		 D=0.43231:n=0.28100
		 M=D*(12.3981/E)^n
	 elseif E>=9.20 and E<=40.0 then
		 D=0.44767:n=0.16280
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=2 then
	 if E>=3.70 and E<=6.0 then
		 D=0.10107:n=1.89541
		 M=D*(12.3981/E)^n
	 elseif E>=6.0 and E<=9.50 then
		 D=0.19040:n=1.02279
		 M=D*(12.3981/E)^n
	 elseif E>=9.50 and E<=18.0 then
		 D=0.21026:n=0.65018
		 M=D*(12.3981/E)^n
	 elseif E>=18.0 and E<=40.0 then
		 D=0.18714:n=0.33771
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=3 then
	 if E>=5.90 and E<=8.80 then
		 D=0.18233:n=2.29188
		 M=D*(12.3981/E)^n
	 elseif E>=8.80 and E<12.50 then
		 D=0.26263:n=1.22738
		 M=D*(12.3981/E)^n
	 elseif E>=12.50 and E<=19.20 then
		 D=0.26156:n=0.73083
		 M=D*(12.3981/E)^n
	 elseif E>=19.20 and E<=40.0 then
		 D=0.22601:n=0.39674
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=4 then
	 if E>=8.0 and E<=12.50 then
		 D=0.38680:n=2.16808
		 M=D*(12.3981/E)^n
	 elseif E>=12.50 and E<=19.80 then
		 D=0.38371:n=1.18826
		 M=D*(12.3981/E)^n
	 elseif E>=19.80 and E<=40.0 then
		 D=0.27424:n=0.47075
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=5 then
	 if E>=10.50 and E<=15.0 then
		 D=0.62897:n=2.37589
		 M=D*(12.3981/E)^n
	 elseif E>=15.0 and E<=21.0 then
		 D=0.49970:n=1.16813
		 M=D*(12.3981/E)^n
	 elseif E>=21.0 and E<=31.0 then
		 D=0.40524:n=0.77056
		 M=D*(12.3981/E)^n
	 elseif E>=31.0 and E<=40.0 then
		 D=0.29211:n=0.41335
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=6 then
	 if E>=13.0 and E<=19.50 then
		 D=1.10987:n=2.19895
		 M=D*(12.3981/E)^n
	 elseif E>=19.50 and E<=27.50 then
		 D=0.74709:n=1.32494
		 M=D*(12.3981/E)^n
	 elseif E>=27.50 and E<=40.0 then
		 D=0.40943:n=0.57000
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=7 then
	 if E>=15.0 and E<=21.0 then
		 D=1.46410:n=2.00119
		 M=D*(12.3981/E)^n
	 elseif E>=21.0 and E<=30.0 then
		 D=1.06418:n=1.39578
		 M=D*(12.3981/E)^n
	 elseif E>=30.0 and E<=40.0 then
		 D=0.60023:n=0.74774
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=8 then
	 if E>=17.20 and E<=25.0 then
		 D=1.83450:n=1.85350
		 M=D*(12.3981/E)^n
	 elseif E>=25.0 and E<=40.0 then
		 D=1.07154:n=1.08685
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=9 then
	 if E>=20.0 and E<=28.50 then
		 D=2.41791:n=1.84635
		 M=D*(12.3981/E)^n
	 elseif E>=28.50 and E<=40.0 then
		 D=1.19931:n=1.00398
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=10 then
	 if E<23.0 then
		 goto 10
	 elseif E>=23.0 and E<=30.0 then
		 D=3.28063:n=1.92254
		 M=D*(12.3981/E)^n
	 elseif E>=30.0 and E<=40.0 then
		 D=1.79454:n=1.23982
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=11 then
	 if E>=25.0 and E<=31.0 then
		 D=3.51621:n=1.79285
		 M=D*(12.3981/E)^n
	 elseif E>=31.0 and E<=40.0 then
		 D=2.05417:n=1.20633
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=12 then
	 if E>=27.30 and E<=40.0 then
		 D=3.19488:n=1.47154
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=13 then
	 if E>=29.50 and E<=40.0 then
		 D=3.40890:n=1.41477
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=14 then
	 if E>=32.50 and E<=40.0 then
		 D=4.90164:n=1.64945
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=15 then
	 if E>=35.0 and E<=40.0 then
		 D=5.66476:n=1.67109
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     elseif Z=16 then
	 if E>=37.50 and E<=40.0 then
		 D=6.09135:n=1.63252
		 M=D*(12.3981/E)^n
	 else
		 goto 10
	 end if

     else
	10 ' General equations
	if E>K then
	    M=C*K*(12.3981/E)^n
	elseif E<E1 and E>K then
	    M=CE1*(12.3981/E)^nE1
	elseif E<K and E>L1 then
	    M=C*L1*(12.3981/E)^nL1
	elseif E<L1 and E>L2 then
	    M=C*L2*(12.3981/E)^nL2
	elseif E<L1 and E>L3 then
	    M=C*L3*(12.3981/E)^nL3
	elseif E<L3 and E>M1 then
	    M=C*M1*(12.3981/E)^nM1
	elseif E<M1 and E>M2 then
	    M=C*M2*(12.3981/E)^nM2
	elseif E<M2 and E>M3 then
	    M=C*M3*(12.3981/E)^nM3
	elseif E<M3 and E>M4 then
	    M=C*M4*(12.3981/E)^nM4
	elseif E<M4 and E>M5 then
	    M=C*M5*(12.3981/E)^nM5
	elseif E<M5 and E>N1 then
	    M=C*N*(12.3981/E)^nN1
	else
	    exit sub
	end if
     end if

End Sub
