Sub Phi011 (Z,E0,Ec,Phi0)

     'Subroutine Phi(0), Merlet (1992,1993)

     'Input parameters:   Z         :     Atomic number
     '                    E0        :     Incident beam energy in keV
     '                    Ec        :     Critical excitation energy in keV
     '                    rhoz      :     Mass thickness in ug/cm^2
     'Output parameter:   Phi0      :     Phi(0) function

     U0=E0/Ec
     d1=0.02*Z
     d2=0.1*Z
     d3=0.4*Z
     rz=-0.25+0.0787*Z^3
     a=1.87*Z*(-0.00391*log(Z+1)+0.00721*(log(Z+1))^2-0.0001067*(log(Z+1))^3)
     a=a/(E0/30)^rz
     b1=(1/d1)*(1-(1-1/U0^d1)/(d1*log(U0)))
     b2=(1/d2)*(1-(1-1/U0^d2)/(d2*log(U0)))
     b1=(1/d3)*(1-(1-1/U0^d3)/(d3*log(U0)))
     phi0=1+a*(0.27*b1+(1.1+5/Z)*(b2-1.1*b3))


End Sub
