Sub Phi07 (E0,Ec,Z,phi0)

     'Subroutine:Rehbach and Karduck phi(0) expression,(1988)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    Z     :   atomic number
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     a=(1+0.005*Z/Ec)*(0.68+3.7/Z)
     b=(1+0.05/Ec)*(-0.01+0.04805*Z-0.51599*1e-3*Z^2+0.020802*1e-5*Z^3)
     phi0=1+b*(1-1/U0^0.5)^a

End Sub
