Sub Stp7 (Z,A,E0,Ec,S)

     'Stopping power factor, Duncumb and Reed (1968), (program Frame)

     'Input parameters:     Z    :   Atomic number
     '                      A    :   Atomic weight
     '                      E0   :   Incident beam energy in keV
     '                      Ec   :   Critical excitation energy in keV
     'Output parameter:     S    :   Stopping power

     'Ionization potential in eV, Berger and Selzer (1964)
     J=9.76*Z+58.5*Z^(-0.19)

     'Stopping power, Program Frame
     S=2*Z/A/(E0+Ec)*log(583*(E0+Ec)/J)

End Sub